Bug 972687 - (CVE-2013-4082) CVE-2013-4082 wireshark: Heap-based buffer overflow in the Ixia IxVeriWave file parser (wnpa-sec-2013-40)
CVE-2013-4082 wireshark: Heap-based buffer overflow in the Ixia IxVeriWave fi...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130607,repor...
: Security
Depends On: 972762 979246
Blocks: 972772
  Show dependency treegraph
 
Reported: 2013-06-10 08:06 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:28 EST (History)
4 users (show)

See Also:
Fixed In Version: wireshark-1.8.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:54:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-06-10 08:06:50 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4082 to the following vulnerability:

The vwr_read function in wiretap/vwr.c in Ixia IxVeriWave file parser in Wireshark 1.8.x before 1.8.8 does not validate the relationship between a record length and a trailer length, which allows remote attackers to cause a denial of service (heap-based buffer overflow and application crash) via a crafted packet.

References:
[1] http://anonsvn.wireshark.org/viewvc/trunk/wiretap/vwr.c?r1=49739&r2=49738&pathrev=49739
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=49739
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.8.8.html
[4] http://www.wireshark.org/security/wnpa-sec-2013-40.html
[5] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8760
Comment 1 Jan Lieskovsky 2013-06-10 10:13:15 EDT
This issue did NOT affect the version of the wireshark package, as shipped with Fedora release of 17.

--

This issue affects the version of the wireshark package, as shipped with Fedora release of 18. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-06-10 10:38:12 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-18 [bug 972762]
Comment 3 Huzaifa S. Sidhpurwala 2013-06-11 00:54:02 EDT
The version of wireshark shipped with Red Hat Enterprise Linux 5 and 6 does not have support for the Ixia IxVeriWave file format. Therefore this flaw does not affect these versions.
Comment 4 Huzaifa S. Sidhpurwala 2013-06-11 00:54:45 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 5 Vincent Danen 2013-06-14 14:21:58 EDT
External References:

http://www.wireshark.org/security/wnpa-sec-2013-40.html
Comment 6 Fedora Update System 2013-09-27 20:13:55 EDT
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-02 21:04:54 EDT
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-12-19 02:11:43 EST
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.